summaryrefslogtreecommitdiffstats
path: root/extra/fluidsynth/fluidsynthd
diff options
context:
space:
mode:
authorfanch <fanchyannmaria at orange dot fr>2010-06-12 19:22:30 +0200
committerfanch <fanchyannmaria at orange dot fr>2010-06-12 19:22:30 +0200
commit4222208eac7e2dbfed7ecf7063998fd3fe7e3d04 (patch)
tree5b68ee8298cd0af2408c481212ddaecc36f7b6e1 /extra/fluidsynth/fluidsynthd
parent7d607e5fda9f21eff8fa7f4959fffb965791db2a (diff)
downloadnutyx-pakxe-4222208eac7e2dbfed7ecf7063998fd3fe7e3d04.tar.gz
nutyx-pakxe-4222208eac7e2dbfed7ecf7063998fd3fe7e3d04.tar.bz2
nutyx-pakxe-4222208eac7e2dbfed7ecf7063998fd3fe7e3d04.tar.xz
nutyx-pakxe-4222208eac7e2dbfed7ecf7063998fd3fe7e3d04.zip
ajout de fluidsynth#1.1.1-1
Diffstat (limited to 'extra/fluidsynth/fluidsynthd')
-rw-r--r--extra/fluidsynth/fluidsynthd41
1 files changed, 41 insertions, 0 deletions
diff --git a/extra/fluidsynth/fluidsynthd b/extra/fluidsynth/fluidsynthd
new file mode 100644
index 000000000..3cd306eed
--- /dev/null
+++ b/extra/fluidsynth/fluidsynthd
@@ -0,0 +1,41 @@
+
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f /etc/conf.d/fluidsynth ] && . /etc/conf.d/fluidsynth
+
+PID=`pidof -o %PPID /usr/bin/fluidsynth`
+case "$1" in
+ start)
+ stat_busy "Starting Fluidsynth soundfont synthesizer"
+ [ -z "$PID" ] && /usr/bin/fluidsynth -is $FSYNTH_OPTS $FSYNTH_SOUNDFONT > /dev/null 2>&1 &
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo $PID > /var/run/fluidsynth.pid
+ add_daemon fluidsynth
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Fluidsynth soundfont synthesizer"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/fluidsynth.pid
+ rm_daemon fluidsynth
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0